Summary: Public Domain Korn Shell
Name: pdksh
Version: 5.2.12
Release: 5
Copyright: Public Domain
Group: Shells
Source: ftp.cs.mun.ca:/pub/pdksh/pdksh-5.2.12.tar.gz
BuildRoot: /var/tmp/pdksh-root
Summary(de): Korn-Shell aus dem Public Domain
Summary(fr): Korn Shell du domaine public.
Summary(tr): Serbest Korn kabuu

%description
pdksh, a remimplementation of ksh, is a command interpreter that is
intended for both interactive and shell script use.  Its command
language is a superset of the sh(1) shell language.

%description -l de
pdksh, eine Neuimplementierung von ksh, ist ein Befehlsinterpreter fr
interaktiven und Shell-Script-Betrieb. Die Befehlssprache ist eine
bermenge der Shell-Sprache sh(1).

%description -l fr
pdksh, un remplacement de ksh, est un interprteur de commande qui est
 destin  la fois  l'utilisation interactive et a l'utilisation de
scripts. Son langage de commande est un ensemble de commande du langage
shell de sh(1).

%description -l tr
pdksh, hem etkileimli hem de kabuk programcklarnn kullanm iin
tasarlanm bir komut yorumlaycsdr. pdksh'n komut dili sh(1) kabuk
dilinin bir kmesidir.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,usr/bin,usr/man/man1}

/usr/bin/install -s -c -m755 ksh $RPM_BUILD_ROOT/bin/ksh
/usr/bin/install -c -m644 ksh.1 $RPM_BUILD_ROOT/usr/man/man1/ksh.1
ln -sf /bin/ksh $RPM_BUILD_ROOT/usr/bin/ksh
ln -sf /bin/ksh $RPM_BUILD_ROOT/usr/bin/pdksh
ln -sf ksh.1 $RPM_BUILD_ROOT/usr/man/man1/pdksh.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ksh" > /etc/shells
else
	if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
		echo "/bin/ksh" >> /etc/shells
	fi
fi

%postun
if [ ! -f /bin/ksh ]; then
	grep -v /bin/ksh /etc/shells > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%verifyscript

echo -n "Looking for ksh in /etc/shells... "
if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
    echo "missing"
    echo "ksh missing from /etc/shells" >&2
else
    echo "found"
fi

%files
%defattr(-,root,root)
%doc README NOTES PROJECTS NEWS BUG-REPORTS
/bin/ksh
/usr/bin/ksh
/usr/bin/pdksh
/usr/man/man1/ksh.1
/usr/man/man1/pdksh.1

%changelog
* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
